---
api: 'Crypto Ramp API'
---

# Retrieve an order

Retrieve an order by `order_id` provided in the path and the `wallet` address provided as a query parameter.

For more information, see the guides: [Leverage the Crypto Ramp API -> Get an order](/docs/guides/crypto-ramp/tutorials/use-the-api#get-an-order).

## Endpoint

GET `/orders/{order_id}`

## Parameters

### header parameters

- `X-API-KEY` (any, optional)
  Your API key that you received during integration setup. 
  For more information, see the **Authorization** section.

### path parameters

- `order_id` (string, required)
  The external identifier of the order to retrieve.
  Should be either UUID or ULID.

### query parameters

- `wallet` (string, required)
  The address of the crypto wallet into which the token transfer was ordered.

## Returns

### 200

OK

#### Response attributes

- `id` (string)
    The external UUID of the order.
- `fiat` (object)
    The fiat amount that the customer paid for the crypto (excluding fees).
  - `fiat.amount` (number)
      The amount.
  - `fiat.currency` (string)
      The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
- `crypto` (object)
    The crypto amount that the customer received.
  - `crypto.amount` (number)
      The amount.
  - `crypto.currencyId` (string)
      The ID of the currency, obtained from the [`/config`](/docs/api/crypto-ramp#retrieve-configuration) endpoint.
- `fees` (object)
    The fees for the order.
  - `fees.ramp_fee` (object)
      Revolut Ramp fee.
    - `fees.ramp_fee.amount` (number)
        The amount.
    - `fees.ramp_fee.currency` (string)
        The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
  - `fees.partner_fee` (object)
      Partner fee.
    - `fees.partner_fee.amount` (number)
        The amount.
    - `fees.partner_fee.currency` (string)
        The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
  - `fees.network_fee` (object)
      Crypto network fee.
    - `fees.network_fee.amount` (number)
        The amount.
    - `fees.network_fee.currency` (string)
        The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
- `exchange_rate` (number)
    The exchange rate for the order.
- `payment` (enum)
    The [payment method](/docs/guides/crypto-ramp/introduction-to-revolut-ramp/coverage-and-other-details/payment-options) used for the purchase.
    Possible enum values:

    - `card`
    - `revolut`
    - `apple-pay`
    - `google-pay`
- `created_at` (string)
    The UTC date and time of order creation in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `updated_at` (string)
    The UTC date and time of order update in the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `status` (enum)
    The state of order processing.
    Possible enum values:

    - `AWAITING_PAYMENT`
    - `PROCESSING`
    - `COMPLETED`
    - `FAILED`
- `fail_reason` (enum, optional)
    The reason why the order failed.
    Possible enum values:

    - `PAYMENT_NOT_RECEIVED`
    - `PAYMENT_DECLINED`
    - `CRYPTO_WITHDRAWAL_FAILED`
    - `OTHER`
- `wallet` (string)
    The address of the crypto wallet into which the crypto transfer was ordered.
- `transaction_hash` (string, optional)
    The blockchain transaction hash.
    Absent if no crypto transaction has been created yet.
    Always present if order is in the `COMPLETED` state.
- `additionalProperties` (object, optional)
    The additional properties passed in the call to the [`/buy`](/docs/api/crypto-ramp#retrieve-a-redirect-url) endpoint under the `additionalProperties.*` query parameter(s), if such properties were provided.
- `fees_partner_currency` (object)
    The fees converted to the partner's currency.
  - `fees_partner_currency.ramp_fee` (object)
      Revolut Ramp fee.
    - `fees_partner_currency.ramp_fee.amount` (number)
        The amount.
    - `fees_partner_currency.ramp_fee.currency` (string)
        The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
  - `fees_partner_currency.partner_fee` (object)
      Partner fee.
    - `fees_partner_currency.partner_fee.amount` (number)
        The amount.
    - `fees_partner_currency.partner_fee.currency` (string)
        The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
  - `fees_partner_currency.network_fee` (object)
      Crypto network fee.
    - `fees_partner_currency.network_fee.amount` (number)
        The amount.
    - `fees_partner_currency.network_fee.currency` (string)
        The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request  A request parameter is invalid. |
| 401 | Unauthorized |
| 404 | Resource cannot be found |
| 429 | Too Many Requests |
| 500 | Server error  An unexpected error occurred. |
| 503 | The endpoint is disabled by Kill Switch |
